Bug Hunting Session
Bug 99697 - Add UNO and drop-down icon for Formatting Aids Display options
Summary: Add UNO and drop-down icon for Formatting Aids Display options
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UNO-Command-New Options-Dialog Formatting-Mark
  Show dependency treegraph
 
Reported: 2016-05-05 18:41 UTC by Timur
Modified: 2017-05-17 17:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2016-05-05 18:41:55 UTC
In order to change "Display of" options, there's a long way to go to Tools > Options > LibreOffice Writer > Formatting Aids.
There should be UNO command and a drop-down icon with all those options.
Comment 1 Heiko Tietze 2016-09-21 08:12:36 UTC
Paragraph end, Soft hyphens, Spaces, Non-breaking spaces, Tabs, Breaks: Visibility toggled per formatting marks (ctrl+F10)

Hidden text: Isn't this View > Hidden Paragraphs?
Fields (Hidden text, Hidden paragraphs): No idea how that works and why it is different to the hidden text. But it doesn't sound as there is an urgent need for an uno command. 

I vote for WONTFIX. Opinions?
Comment 2 Timur 2016-09-21 08:44:43 UTC
Non-printing Characters (ctrl+F10) only show text hidden using Format > Character if Tools > Options > LibreOffice Writer > Formatting Aids > Hidden Text checked.
Additional explanation: https://bugs.documentfoundation.org/show_bug.cgi?id=81692#c5.
This is not urgent and that's why it's enhancement. Why is needed? Because it takes 5 clicks to change those options.
Comment 3 Heiko Tietze 2016-09-21 14:06:57 UTC
Similar request for Calc in bug 101556.
Comment 4 Yousuf Philips (jay) (retired) 2016-09-22 04:47:53 UTC
(In reply to Timur from comment #0)
> In order to change "Display of" options, there's a long way to go to Tools >
> Options > LibreOffice Writer > Formatting Aids.
> There should be UNO command and a drop-down icon with all those options.

As these options are only modified by experts, they dont need to be easily accessible, which is why they are only available in the options dialog. WONTFIX for me as well.
Comment 5 Timur 2016-09-22 06:52:25 UTC
I don't understand this logic. I'm asking for drop-down icon that won't be visible by default, but that can be used by more advanced users. Same for Calc.
Comment 6 Yousuf Philips (jay) (retired) 2016-09-23 02:45:49 UTC
We understand what you are asking for and dont feel it is a worthy enhancement that we would encourage a developer to work on, as it would solve an issue that would have very limited usage/benefit. This doesnt mean that if a you or an interested developer wanted to work on it and submit a patch for it that we would oppose its addition.